<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

error_reporting(0);
$num = substr(htmlspecialchars($_GET['num']), 0, 4);
$imageWidth = 60;
$imageHeight = 18;
$numImage = imagecreate($imageWidth, $imageHeight) or die('Cannot Initialize new GD image stream');
imagecolorallocate($numImage, 240, 240, 240);
for ($i = 0, $len = strlen($num); $i < $len; $i++) {
    $x = mt_rand(1, 8) + $imageWidth * $i / 4;
    $y = mt_rand(1, $imageHeight / 4);
    $color = imagecolorallocate($numImage, mt_rand(0, 150), mt_rand(0, 150), mt_rand(0, 150));
    imagestring($numImage, 5, $x, $y, $num[$i], $color);
}

for ($i = 0; $i < 200; $i++) {
    $randcolor = imagecolorallocate($numImage, rand(1, 255), rand(1, 255), rand(1, 255));
    imagesetpixel($numImage, rand(0, $imageWidth), rand(0, $imageHeight), $randcolor);
}
header('content-type:image/png');
imagepng($numImage);
imagedestroy($numImage);
